/**
 * Created by Alacriti Inc on 8/3/18.
 */
(function (root, factory) {
    if (typeof module === 'object' && module.exports) {
        // CommonJS-like environments that support module.exports, like Node.
        module.exports = factory();
    }
}(this, function () {
    'use strict';


    /**
     * The PaymentStatusEnum enum module.
     * @module enum/PaymentStatusEnum
     * @version 1.0.0
     */

    /**
     * Allowed values for the <code>status</code> property.
     * @enum {String}
     * @readonly
     */
    var exports = Object.freeze({
        /**
         * value: "scheduled"
         * @const
         */
        "scheduled": "scheduled",
        /**
         * value: "cancelled"
         * @const
         */
        "cancelled": "cancelled",
        /**
         * value: "processing"
         * @const
         */
        "processing": "processing",
        /**
         * value: "processed"
         * @const
         */
        "processed": "processed",
        /**
         * value: "returned"
         * @const
         */
        "returned": "returned",
        /**
         * value: "declined"
         * @const
         */
        "declined": "declined",
        /**
         * value: "disputed"
         * @const
         */
        "disputed": "disputed",
        /**
         * value: "refunded"
         * @const
         */
        "refunded": "refunded"
    });

    return exports;
}));