/**
 * Created by Alacriti Inc on 8/3/18.
 */
(function (root, factory) {
    if (typeof module === 'object' && module.exports) {
        // CommonJS-like environments that support module.exports, like Node.
        module.exports = factory();
    }
}(this, function () {
    'use strict';


    /**
     * The RequestorTypeEnum enum module.
     * @module enum/RequestorTypeEnum
     * @version 1.0.0
     */

    /**
     * Allowed values for the <code>requestor_type</code> property.
     * @enum {String}
     * @readonly
     */
    var exports = Object.freeze({
        /**
         * value: "customer"
         * @const
         */
        "customer": "customer",
        /**
         * value: "client_agent"
         * @const
         */
        "client_agent": "client_agent",
        /**
         * value: "external_user"
         * @const
         */
        "external_user": "external_user"
    });

    return exports;
}));